#
# spec file for package xcdroast (Version 0.98alpha9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel imlib-config imlib-devel libjpeg libpng libtiff libungif libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib-config imlib-devel kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xcdroast
Copyright:    GPL
Group:        Applications/Multimedia
Provides:     xcdroast
Requires:     cdrecord cdda2wav mkisofs
Autoreqprov:  on
Version:      0.98alpha9
Release:      42
Summary:      CD writing software with graphical user interface
Source: xcdroast-%{version}.tar.bz2
Patch: xcdroast-%{version}.dif

%description
X-CD-Roast allows you to create and copy CDs with a few simple mouse clicks
and without having to study long command-line parameters.

Authors:
--------
    Thomas Niederreiter <p7003ad@sunmail.lrz-muenchen.de>

SuSE series: xap

%prep
%setup
%patch

%build
#(cd src/utils/cdrecord-*/RULES; test -f ia64-linux-cc.rul || ln -s i586-linux-cc.rul ia64-linux-cc.rul)
#./configure --prefixdir /usr/X11R6 --nosuse
%ifarch sparc
make PREFIX=/usr/X11R6 CC="gcc $RPM_OPT_FLAGS -D__sparc -Dsparc"
%else
make PREFIX=/usr/X11R6 CC="gcc $RPM_OPT_FLAGS"
%endif

%install
rm -fr /usr/X11R6/lib/xcdroast-0.98
make install PREFIX=/usr/X11R6
ln -sf /usr/bin/cdrecord /usr/X11R6/lib/xcdroast-0.98/bin
ln -sf /usr/bin/cdda2wav /usr/X11R6/lib/xcdroast-0.98/bin
ln -sf /usr/bin/readcd /usr/X11R6/lib/xcdroast-0.98/bin
ln -sf /usr/bin/mkisofs /usr/X11R6/lib/xcdroast-0.98/bin

%files
%doc CHANGELOG COPYING DOCUMENTATION FAQ README README.* TRANSLATION.HOWTO
/usr/X11R6/bin/xcdroast
/usr/X11R6/lib/xcdroast-0.98

%changelog -n xcdroast
* Thu Sep 27 2001 - uli@suse.de
- disabled version check of cdrtools (bug #11435)
* Thu Jul 19 2001 - uli@suse.de
- update -> 0.98alpha9
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 06 2000 - uli@suse.de
- update -> 0.98alpha7
* Tue Jun 27 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jun 09 2000 - ro@suse.de
- require exact changed 8.0 -> 8.3
* Fri Jun 09 2000 - ro@suse.de
- try to get it running on tcl/tk 8.3
- doc relocation
* Thu Mar 16 2000 - kukuk@suse.de
- Update to 0.96ex2
- Add workaround to spec file for SPARC
* Tue Jan 04 2000 - kukuk@suse.de
- Remove lx_suse von needed for build
* Wed Dec 01 1999 - uli@suse.de
- fixed et80.c for PPC (va_list copying)
* Tue Oct 12 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - sndirsch@suse.de
- moved building and installing from Makefile.Linux to spec file; no
  Makefile.Linux required any longer
* Tue Dec 01 1998 - ro@suse.de
- update to 0.96e
* Thu Sep 24 1998 - ro@suse.de
- update to 0.96d final
* Thu Feb 12 1998 - hf@suse.de
  new Version, uses cdrecord
* Wed Oct 15 1997 - hf@suse.de
  ready for autobuild
* Tue Aug 05 1997 - hf@suse.de
- Bugfix in *.dif
* Wed Jul 02 1997 - hf@suse.de
  A new Version 0.96.
  New is:
- IDE-Support for IDE-HDs and IDE-CD-ROMs (Audioread not yet supported).
- Displays an graphically overview of all SCSI- and IDE-Devices found.
- Up to 64 SCSI and 8 IDE Devices supported.
- Can read Audio now with all SCSI-CD-ROMs (hopefully).
- Won't need an extra image-partition anylonger - you can save your
  images anywhere on your system.
- Uses MSDOS-conform image- and audio-filenames. So you can mount your
  DOS-Partition and save your stuff there.
- Will now run even when no CD-ROM or CD-Writer is connected. Useful
  when you only want to master something.
- Hundreds of small improvements and fixes.
* Mon May 05 1997 - hf@suse.de
  The binary package have the icons jet.
* Thu Jan 02 1997 - bs@suse.de
  new Version 0.95c
  from Changesfile:
  Changes since 0.95a
  29.12.96: Fix to some minor bugs.
  Usage of cdwrite-2.1 for Sony and Plasmon-Support
  Added a few vendor strings to readcdda to read audio-tracks
  from more drives.
  Audio-Read from SONY is not implemented yet...
  01.01.97: Fix Audio-Write for Sony
  05.01.97: Implemented Audio-Read-Speed-Select for Philips/HP/... and Yamaha
  Try to use different Speed-Settings when you have problems with
  the Audio-Quality.
  Added a statically linked binary of tcl/tk/tix. NO NEED TO
  INSTALL TCL/TK/TIX ANYMORE!
  12.01.97: Merged Sony-Eject Code from David Gates
  18.01.97: Screwed up merging...Sony should work again.
  Optical Devices are also SCSI-Disks -> Thanx to Don Russell
  23.01.97: Fixed mount-behavior when the image-partition is changed when
  already mounted.
  Added Error-Message when no SCSI-Devices were found.
  29.01.97: Added Audio-Sony-Support from David Gates
  Changes since 0.95b
  02.03.97: Removed explicit PLASMON 4220 Support and switched back
  to normal cdwrite with SONY-Patches.
  (Use Philips-Mode for the plasmon 4220)
  Add RICOH-Support to readcdda. (May work or not)
  12.03.97: Fix error when using an unknown partition-id.
  Log all command-strings of external spawned processes
  (helps debugging).
  Added icon when windows are iconified. (You can also use
  the color-icon icons/xcdricon.xpm when your window-manager
  supports it)
  18.03.97: Include new mkisofs-1.10.
